%global appname chamfer

%global commit 19f5921878251b808af054e2b4098cddb40226d0
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global date 20200820

Name: chamferwm
Version: 0
Release: 0.4.%{date}git%{shortcommit}%{?dist}
Summary: Tiling X11 window manager with Vulkan compositor

License: BSD
URL: https://github.com/jaelpark/chamferwm
Source0: %{url}/archive/%{commit}/%{name}-%{version}.%{date}git%{shortcommit}.tar.gz

BuildRequires: boost
BuildRequires: boost-devel
BuildRequires: boost-filesystem
BuildRequires: boost-python3
BuildRequires: boost-system
BuildRequires: gcc-c++
BuildRequires: glm-devel
BuildRequires: glslc
BuildRequires: libshaderc-devel
BuildRequires: libxcb-devel
BuildRequires: meson
BuildRequires: python3-psutil
BuildRequires: python3-xlib
BuildRequires: spirv-tools
BuildRequires: vulkan-headers
BuildRequires: xcb-util-devel
BuildRequires: pkgconfig(fontconfig)
BuildRequires: pkgconfig(freetype2)
BuildRequires: pkgconfig(harfbuzz)
BuildRequires: pkgconfig(python3) >= 3.6
BuildRequires: pkgconfig(vulkan)
BuildRequires: pkgconfig(xcb-cursor)
BuildRequires: pkgconfig(xcb-icccm)
BuildRequires: pkgconfig(xcb-keysyms)

# Requires:

%description
A tiling X11 window manager with Vulkan compositor.


%prep
%autosetup -n %{name}-%{commit} -p1


%build
%set_build_flags
%meson
%meson_build


%install
%meson_install

mkdir -p %{buildroot}%{_datadir}/%{appname}/shaders/
mv %{buildroot}/%{_prefix}/*.spv %{buildroot}%{_datadir}/%{appname}/shaders/

mkdir -p %{buildroot}%{_datadir}/%{appname}/config/
install -Dpm0644 config/config.py -t %{buildroot}%{_datadir}/%{appname}/config/

install -Dpm0755 %{_vpath_builddir}/%{appname} -t %{buildroot}%{_bindir}/
install -Dpm0644 share/%{appname}.desktop -t %{buildroot}%{_datadir}/xsessions/


%files
%{_bindir}/%{appname}
%{_datadir}/%{appname}/
%{_datadir}/xsessions/*.desktop


%changelog
* Sun Jul 07 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0-0.1.20190615git17f1caf
- Initial package
